Skip to main content
`Ctrl`+`K`

# PCSetFailedReason

Sets the reason a `PCSetUp()` failed or `PC_NOERROR` if it did not fail

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCSetFailedReason(PC pc, PCFailedReason reason)

Logically Collective

## Input Parameters

- pc - the `PC` preconditioner context

- reason - the reason it failed

## See Also

KSP: Linear System Solvers, `PC`, `PCCreate()`, `PCApply()`, `PCDestroy()`, `PCFailedReason`

## Level

advanced

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages